summaryrefslogtreecommitdiffstats
path: root/games/bastet
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-01-11 08:54:07 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:20:58 -0600
commit8674e475d0f636b5f0d301fce073652e9a21c6fc (patch)
tree59dad90004da8e506c1e2b701f85525fc16d9029 /games/bastet
parentc1efd07c7c047c2d6e9be428b7b648819df7df1c (diff)
downloadslackbuilds-8674e475d0f636b5f0d301fce073652e9a21c6fc.tar.gz
slackbuilds-8674e475d0f636b5f0d301fce073652e9a21c6fc.tar.xz
games/bastet: Added (horribly difficult Tetris clone).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/bastet')
-rw-r--r--games/bastet/README15
-rw-r--r--games/bastet/bastet.SlackBuild80
-rw-r--r--games/bastet/bastet.info10
-rw-r--r--games/bastet/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/games/bastet/README b/games/bastet/README
new file mode 100644
index 0000000000..fc13b9f45e
--- /dev/null
+++ b/games/bastet/README
@@ -0,0 +1,15 @@
+bastet (horribly difficult Tetris clone)
+
+Have you ever thought that Tetris is evil because it never sends you that
+straight "I" brick you need to clear four rows? Well, Tetris(R) probably
+is not so malevolent, but Bastet certainly is. >:-> Bastet stands for
+"bastard tetris", and is a simple ncurses-based Tetris(R) clone for
+Linux. Instead of choosing the next block randomly, this fiendish program
+uses a special algorithm to give you the worst possible brick. Playing
+Bastet can be a very frustrating experience!
+
+bonus points for presenting it to your friends as "just another Tetris clone"
+
+If you're in X and have TERM set to "xterm-color", the text cursor will
+stay enabled, which looks a little weird. Use "xterm" or "xterm-256color"
+instead.
diff --git a/games/bastet/bastet.SlackBuild b/games/bastet/bastet.SlackBuild
new file mode 100644
index 0000000000..c00b9b5651
--- /dev/null
+++ b/games/bastet/bastet.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for bastet
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=bastet
+VERSION=${VERSION:-0.43}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Don't want/need debugging binary
+sed -i 's/-ggdb//g' Makefile
+
+make CXXFLAGS="$SLKCFLAGS"
+
+# No 'make install', follow the INSTALL document more-or-less.
+# Binary is not installed setgid games, so high scores won't be
+# shared between users. I tried to make it work, but it didn't,
+# if someone wants to fix it & send me a patch I'll include it
+# next update.
+
+mkdir -p $PKG/usr/bin $PKG/usr/man/man6
+install -m0755 -oroot -ggames -s $PRGNAM $PKG/usr/bin/$PRGNAM
+
+gzip -c < $PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE NEWS README INSTALL LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/bastet/bastet.info b/games/bastet/bastet.info
new file mode 100644
index 0000000000..baa9863cea
--- /dev/null
+++ b/games/bastet/bastet.info
@@ -0,0 +1,10 @@
+PRGNAM="bastet"
+VERSION="0.43"
+HOMEPAGE="http://fph.altervista.org/prog/bastet.html"
+DOWNLOAD="http://fph.altervista.org/prog/files/bastet-0.43.tgz"
+MD5SUM="b47090daa7b6d89b98b5b477cf155733"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/bastet/slack-desc b/games/bastet/slack-desc
new file mode 100644
index 0000000000..aef55d7802
--- /dev/null
+++ b/games/bastet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bastet: bastet (horribly difficult Tetris clone)
+bastet:
+bastet: Have you ever thought that Tetris is evil because it never sends you
+bastet: that straight "I" brick you need to clear four rows? Well, Tetris(R)
+bastet: probably is not so malevolent, but Bastet certainly is. >:-> Bastet
+bastet: stands for "bastard tetris", and is a simple ncurses-based Tetris(R)
+bastet: clone for Linux. Instead of choosing the next block randomly, this
+bastet: fiendish program uses a special algorithm to give you the worst
+bastet: possible brick. Playing Bastet can be a very frustrating experience!
+bastet:
+bastet: